%define upstream_name Reindeer
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Moose with more antlers
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RS/RSRCHBOY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Import::Into)
BuildRequires: perl(Moose) >= 1.150.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Exporter) >= 2.140.0
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::AbstractMethod) >= 0.3.0
BuildRequires: perl(MooseX::AlwaysCoerce) >= 0.160.0
BuildRequires: perl(MooseX::AttributeShortcuts) >= 0.17.0
BuildRequires: perl(MooseX::ClassAttribute) >= 0.260.0
BuildRequires: perl(MooseX::CurriedDelegation)
BuildRequires: perl(MooseX::LazyRequire) >= 0.70.0
BuildRequires: perl(MooseX::MarkAsMethods) >= 0.140.0
BuildRequires: perl(MooseX::NewDefaults) >= 0.3.0
BuildRequires: perl(MooseX::Params::Validate) >= 0.16.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.190.0
BuildRequires: perl(MooseX::Traitor) >= 0.2.0
BuildRequires: perl(MooseX::Types::Combine)
BuildRequires: perl(MooseX::Types::Common::Numeric) >= 0.1.4
BuildRequires: perl(MooseX::Types::Common::String) >= 0.1.4
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.6.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.310.0
BuildRequires: perl(MooseX::Types::Path::Class) >= 0.50.0
BuildRequires: perl(MooseX::Types::Tied::Hash::IxHash) >= 0.3.0
BuildRequires: perl(Path::Class) >= 0.240.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::Moose::More) >= 0.9.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildRequires: perl(base)
BuildRequires: perl(feature)
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Like Moose? Use MooseX::* extensions? Maybe some MooseX::Types
libraries? Hate that you have to use them in every. Single. Class.

Reindeer aims to resolve that :) Reindeer _is_ Moose -- it's just Moose
with a number of the more useful/popular extensions already applied.
Reindeer is a drop-in replacement for your "use Moose" line, that
behaves in the exact same way... Just with more pointy antlers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-4.mga9
+ Revision: 1810153
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1506148
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1285954
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 0.20.0-1.mga7
+ Revision: 1184406
- update to 0.020

* Wed Oct 04 2017 tv <tv> 0.19.0-1.mga7
+ Revision: 1168669
- update to 0.019

* Sun Jun 19 2016 pterjan <pterjan> 0.18.0-4.mga6
+ Revision: 1032843
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.18.0-3.mga6
+ Revision: 971510
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.18.0-2.mga6
+ Revision: 891799
- BR perl(Moose::Autobox)

* Sun Jun 28 2015 sander85 <sander85> 0.18.0-1.mga6
+ Revision: 846525
- update to 0.018

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 745465
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.17.0-1.mga5
+ Revision: 619524
- imported package perl-Reindeer

